Bug 822257 - App creation problems got past scaling tests from the CLI in the cucumber tests - increase timeout or have better timeout messages?
App creation problems got past scaling tests from the CLI in the cucumber tes...
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Test Suite (Show other bugs)
2.x
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 16:54 EDT by Clayton Coleman
Modified: 2015-05-14 21:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 15:23:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2012-05-16 16:54:40 EDT
The li-test suite should have tests for creating a scaled application (with --scaling) for the major types with the @verify tag to ensure we do not have regressions in scaling code.
Comment 1 Clayton Coleman 2012-05-16 17:08:00 EDT
My bad - there are scaling tools but they aren't tagged @verify.  We should probably add them to @verify (see if you can figure out who disabled it) and we should also get a test in place to cover the break to creating scaled apps that occurred, or ensure we have a better error message to explain why it failed (timeout on our end).
Comment 2 Rob Millner 2012-05-16 17:40:48 EDT
From recent experience, the scaled app creation timeout may have to be as high as 350 or 400s.
Comment 3 Clayton Coleman 2012-07-12 15:23:23 EDT
Matt has mostly supplanted these tests in the CLI and we're not seeing issues.

Note You need to log in before you can comment on or make changes to this bug.